package chatrecords

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/chatrecords"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /chat_records/create chatrecords CreateChatRecords
//
// Create chat records information | 创建ChatRecords
//
// Create chat records information | 创建ChatRecords
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ChatRecordsInfo
//
// Responses:
//  200: BaseMsgResp

func CreateChatRecordsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ChatRecordsInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := chatrecords.NewCreateChatRecordsLogic(r.Context(), svcCtx)
		resp, err := l.CreateChatRecords(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
